Skip to main content
POST
Withdraw equity from an account

Authorizations

Authorization
string
header
required

Bearer token used for protected REST API requests.

Path Parameters

accountID
string
required

Trading account identifier. The authenticated user must be allowed to access this account.

Body

application/json

Withdrawal payload. amount must be greater than zero and bankId must reference a saved bank account owned by the user.

Payload for withdrawing account equity to a saved bank account.

amount
number
required

Withdrawal amount. Must be greater than zero and not exceed tradingPower.

Required range: x > 0
bankId
string
required

Saved bank account id to receive the withdrawal.

Response

Withdrawal result and updated account balances.

Response returned after a successful equity withdrawal.

status
string

success or failed.

account_id
string

Account that was debited.

amount
number

Withdrawal amount.

new_credit
number

Credit balance after withdrawal.

new_equity
number

Total equity after withdrawal.

trading_power
number

Trading power after withdrawal.

message
string

Human-readable result.